### Hierarchy

- NeuralNetwork<NetParams>
  - AgeGenderNet

## Index

### Constructors

- constructor

### Properties

- _name

### Accessors

- faceFeatureExtractor
- isLoaded
- paramMappings
- params

### Methods

- dispose
- extractClassifierParams
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadClassifierParams
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- predictAgeAndGender
- reassignParamFromPath
- runNet
- serializeParams
- variable

## Constructors

### constructor

- new AgeGenderNet(faceFeatureExtractor?: TinyXception): AgeGenderNet

- Overrides NeuralNetwork.constructor

  - Defined in ageGenderNet/AgeGenderNet.ts:15

  #### Parameters

  - ##### faceFeatureExtractor: TinyXception = ...

  #### Returns AgeGenderNet

## Properties

### _name

_name: any

Inherited from NeuralNetwork._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): TinyXception

- - Defined in ageGenderNet/AgeGenderNet.ts:20

  #### Returns TinyXception

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- Overrides NeuralNetwork.dispose

  - Defined in ageGenderNet/AgeGenderNet.ts:88

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): { paramMappings: ParamMapping[]; params: NetParams }

- - Defined in ageGenderNet/AgeGenderNet.ts:99

  #### Parameters

  - ##### weights: Float32Array

  #### Returns { paramMappings: ParamMapping[]; params: NetParams }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from NeuralNetwork.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any): Promise<NetOutput>

- - Defined in ageGenderNet/AgeGenderNet.ts:50

  #### Parameters

  - ##### input: any

  #### Returns Promise<NetOutput>

### forwardInput

- forwardInput(input: any): NetOutput

- - Defined in ageGenderNet/AgeGenderNet.ts:43

  #### Parameters

  - ##### input: any

  #### Returns NetOutput

### freeze

- freeze(): void

- Inherited from NeuralNetwork.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from NeuralNetwork.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from NeuralNetwork.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from NeuralNetwork.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- - Defined in ageGenderNet/AgeGenderNet.ts:93

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from NeuralNetwork.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from NeuralNetwork.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from NeuralNetwork.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### predictAgeAndGender

- predictAgeAndGender(input: any): Promise<AgeAndGenderPrediction | AgeAndGenderPrediction[]>

- - Defined in ageGenderNet/AgeGenderNet.ts:54

  #### Parameters

  - ##### input: any

  #### Returns Promise<AgeAndGenderPrediction | AgeAndGenderPrediction[]>

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from NeuralNetwork.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### runNet

- runNet(input: any): NetOutput

- - Defined in ageGenderNet/AgeGenderNet.ts:24

  #### Parameters

  - ##### input: any

  #### Returns NetOutput

### serializeParams

- serializeParams(): Float32Array

- Inherited from NeuralNetwork.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from NeuralNetwork.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void